Win a Deal
curl --request POST \
--url https://public-api.stora.co/2025-09/deals/{deal_id}/win \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/deals/{deal_id}/win"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/deals/{deal_id}/win', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deal": {
"id": "deal_127b3057d5df338e",
"assignee": null,
"contact": {
"id": "con_1234567890abcdef"
},
"created_at": "2025-02-22T14:41:00Z",
"creator": {
"id": "staff_947b3057d5df338e"
},
"line_items": [
{
"item": {
"id": "plvl_e8f3ad0a07e47566"
},
"quantity": 1,
"type": "protection"
},
{
"item": {
"id": "utype_f18fc91387cdf710"
},
"quantity": 1,
"type": "unit_type"
}
],
"lost_reason": null,
"metadata": {},
"name": "First Deal",
"note": "£50 per month",
"site": null,
"stage": {
"id": "dstg_127b3057d5df338e"
},
"starts_at": null,
"status": "won",
"updated_at": "2025-02-22T14:41:00Z",
"value_estimate": "£50 per month"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}{
"error": {
"code": "resource_not_found",
"details": [],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The Deal was not found.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}{
"error": {
"code": "invalid_content",
"details": [
{
"message": "Deal is already closed (status: 'won')",
"pointer": "deal"
}
],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The request body content is not valid.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}Deals
Win a Deal
Mark a deal as won.
Required authorization scope: public.deal:write
POST
/
2025-09
/
deals
/
{deal_id}
/
win
Win a Deal
Authorizations
BearerOAuth2
Bearer Token necessary to use API
Path Parameters
The ID of the deal to mark as won
Pattern:
^deal_Query Parameters
This endpoint supports expandable responses. For more, see the documentation page.
Was this page helpful?
⌘I